include::../description.adoc[]

include::../noncompliant.adoc[]

== Exceptions

This rule will not raise an issue in either of these cases:

* When the condition is a single ``++const++`` of boolean value

----
const debug = false;
//...
if (debug) {
  // Print something
}
----

* When the condition is the literal ``++0++``, ``++1++``, ``++true++`` or ``++false++``.

In these cases it is obvious the code is as intended.

include::../see.adoc[]

ifdef::env-github,rspecator-view[]
'''
== Comments And Links
(visible only on this page)

include::../comments-and-links.adoc[]
endif::env-github,rspecator-view[]
